<?php
/**********************************************************************/
# Title: MW- ver. 4.1
# Copyright By  Moy-weB  (http://moyweb.moy.su)
# Изготовлениш шаблонов (скинов), разработка дизайна, написание скриптов
# Версия для Lineage-II
# Corsar(2009)
/**********************************************************************/
require_once("header.php");
echo "<br>
<h3>Управление опросами</h3>(<font color=#FF0000><b>Внимание!</b></font> Если опросов несколько, то они будут выводиться на странице сайта в случайном порядке)<hr>";
$polldata="../data/votes/data.dat";
$pollcfg="../data/votes/pollcfg.dat";
$cfgfile="../data/votes/conf.php";
include("../engine/votes/func.php");
check($polldata,$pollcfg);
$do=$_GET['do'];
 
if($do=="stat"){
if(isset($_GET['name'])){
$dat=file($pollcfg);
for($i=0;$i<sizeof($dat);$i++){
$data=explode("|::|",$dat[$i]);
if($data[0]==$_GET['name']){
$find=true;
$n=$i;
}
}
if($find){
$stat=true;
}else{
$error="Опрос не найден!";
$stat=false;
}
}
}
// ADD
if($do=="add" && isset($_GET['name'])){
//Check1
if($_GET['name']!="" && $_GET['question']!="" && $_GET['num']!=""){
if(is_numeric($_GET['num'])){
$dat=file($polldata);
for($i=0;$i<sizeof($dat);$i++){
$data=explode("|::|",$dat[$i]);
if($data[0]==$_GET['name']){
$ex=true;
}
}
if(!$ex){
$addp=1;
$error="Первый шаг успешно пройден!";
}else{
$addp=0;
$error="<b><font color=red>ВНИМАНИЕ !</font></b>Опрос с именем <b>".$_GET['name']."</b> уже есть! Выберите другое имя!";
}
}else{
$addp=0;
$error="<b><font color=red>ВНИМАНИЕ !</font></b>Задайте правильное значение количества вариантов ответа!";
}
}else{
$addp=0;
$error="<b><font color=red>ВНИМАНИЕ !</font></b>Все формы должны быть заполнены!";
}
if(isset($_GET['a1'])){
//Check2
for($i=0;$i<$_GET['num'];$i++){
$il=$i+1;
if($_GET['a'.$il]==""){
$non=true;
}
}
if(!$non){
//add
$_GET['question']=stripslashes($_GET['question']);
$_GET['question']=ereg_replace("\"","&quot;",$_GET['question']);
$dat1=file($polldata);
$dat2=file($pollcfg);
$str1=$_GET['name']."|::|";
$str2=$_GET['name']."|::|".$_GET['question']."|::|";
for($i=0;$i<$_GET['num'];$i++){
$il=$i+1;
$str1=$str1."0|::|";
$str2=$str2.$_GET['a'.$il]."|::|";
}
$str1=$str1.tdate($datechar)."|::|\n";
$str2=$str2."\n";
$fh1=fopen($polldata,"a");
$fh2=fopen($pollcfg,"a");
$wr1=fwrite($fh1,$str1,strlen($str1));
$wr2=fwrite($fh2,$str2,strlen($str2));
fclose($fh1);
fclose($fh2);
if($wr1 && $wr2){
$addp=2;
$error="Опрос <b>".$_GET['name']."</b> Создан!";
}else{
$addp=0;
$error="Ошибка записи в файл!";
}
}else{
$addp="1";
$error="Все формы должны быть заполнены!";
}
}
}
// DELETE
if($do=="del" && isset($_GET['name'])){
$dat1=file($polldata);
$dat2=file($pollcfg);
$fh1=fopen($polldata,"w");
$fh2=fopen($pollcfg,"w");
for($i=0;$i<sizeof($dat1);$i++){
$data1=explode("|::|",$dat1[$i]);
if($data1[0]==$_GET['name']){
$ex=true;
$dat1[$i]="";
$dat2[$i]="";
}
$wr1=fwrite($fh1,$dat1[$i],strlen($dat1[$i]));
$wr2=fwrite($fh2,$dat2[$i],strlen($dat2[$i]));
}
fclose($fh1);
fclose($fh2);
if($ex){
$del=true;
$error="Опрос - <b>".$_GET['name']."</b> удалён!";
}else{
$del=false;
$error="Опрос не найден!";
}
}
// ~~~~~~~~~~END~~~~~~~~~~~~
?>
 
<table width="860"   cellpadding="0" cellspacing="0" border="0" align="center"><tr><td>
<table align="center" width="860" cellspacing="1" cellpadding="1" border="0" class="main">
<?php
if($error!=""){
?>
<tr><td  align="center">
<?php
print$error;
?>
</td></tr>
<?php
}
if(!$pc){ 
?>
<tr><td align="center">
<table width="860"><tr>
<td align="left"><a href="?do=stat"><h3>Статистика опросов</a></td>
<td align="right"><a href="?do=add"><h3>Создать новый опрос</a></td>
</tr></table>
</td></tr>
<?php
 if($do=="stat"){
if(!$stat){
?>
<tr><td>
<div align="center" class="main"><b>Статистика опросов</b></div><br>
</td></tr>
<tr><td align="center">
<table   cellpadding="0" cellspacing="0" border="0" align="center"><tr><td>
<table align="center" width="860" cellspacing="2" cellpadding="2" border="0" class="sm">
<?php
$dat=file($pollcfg);
if(sizeof($dat)!=0){
for($i=0;$i<sizeof($dat);$i++){
$data=explode("|::|",$dat[$i]);
print "<tr class=\"sm\">
<td height=25 align=center width=\"20%\" bgcolor=#ffffff><a href=\"?do=stat&name=".$data[0]."\" title=\"Смотреть статистику\"><b>".$data[0]."</b></a></td>
<td align=left width=\"80%\" bgcolor=#ffffff>".$data[1]."</td>
<td height=25 align=center width=40 bgcolor=#ffffff><a href=\"?do=del&name=".$data[0]."\" title=\"Удалить этот опрос\"><img src=\"images/remove.png\"></a>
</tr>";
}
}else{
print "<tr class=\"sm\"><td align=center width=\"100%\" bgcolor=#d5d5d5>Вы не создали ни одного опроса!</td></tr>";
}
?>
</table>
</td></tr>
</table>
</td></tr>
<?php
}else{
?>
<tr><td align="left" bgcolor="#ffffff" class="sm">
<div align="center" class="main"><b>Статистика опроса - <?php print$_GET['name'];?></b></div>
<div align="left" style="margin-left:25;margin-top:4;margin-bottom:4;">
<br>
<?php
$dat1=file($polldata);
$dat2=file($pollcfg);
$data1=explode("|::|",$dat1[$n]);
$num=0;
for($i=1;$i<sizeof($data1)-2;$i++){
$num=$num+1;
$a1[$i-1]=$data1[$i];
}
$all=0;
for($i=0;$i<$num;$i++){
$all=$all+$a1[$i];
}
$last=$data1[$num+1];
$data2=explode("|::|",$dat2[$n]);
for($i=2;$i<sizeof($data2)-1;$i++){
$a2[$i-2]=$data2[$i];
}
$question=$data2[1];
$question=stripslashes($question);
print "<div align=left><b>Вопрос:</b> ".$question."</div><br>";
if($all!=0){
for($i=0;$i<$num;$i++){
$apr[$i]=round(($a1[$i]/$all)*100)."%";
if(round(($a1[$i]/$all)*100)==0){
$apr[$i]=round(($a1[$i]/$all)*100,2)."%";
}
}
for($i=0;$i<$num;$i++){
$il=$i+1;
print "<div align=left class=text><u>Вариант ответа №".$il.":</u> ".$a2[$i]." - <b>".$apr[$i]."</b> ( ".$a1[$i]." )</div>";
}
print "<br><div align=left><b>Всего голосов:</b> ".$all."</div>";
print "<div align=left><b>Последний голос отдан:</b> ".$last."</div><br>";
}else{
print "Ещё никто не проголосовал!";
print "<div align=left>Дата создания опроса: ".$last."</div><br>";
}
?>
<br>
<div align="center"><b><a href="?do=stat"><<< Вернуться назад</a></b></div>
</div><br>
</td></tr>
<?php
}}
if($do=="add"){
if($addp==0 || $addp==""){
?>
<tr><td align="left" bgcolor="#ffffff" class="sm">
<div align="center"><b>Создание опроса (Шаг 1):</b></div>
<div align="left" style="margin-left:25;margin-top:4;margin-bottom:4;">
<form method="get" style="margin-top:5;margin-bottom:5;">
<b>Уникальное имя голосования:</b><br>
(Максимум 10 символов)<br> (Используйте только латинские буквы)<br>
<input type="text" name="name" size="15" maxlength="10"><br>
<b>Вопрос голосования:</b><br>
<input type="text" name="question" size="45"><br>
<b>Количество вариантов ответа:</b><br>
(Рекомендовано: меньше 10 штук)<br>
<input type="text" name="num" size="5" maxlength="2"><br>
<input type="hidden" name="pass" value="<?print$_GET['pass'];?>">
<input type="hidden" name="do" value="add">
<input type="submit" value="Далее" class="button">
</form>
</div><br>
</td></tr>
<?php
}elseif($addp==1){
?>
<tr><td align="left" bgcolor="#ffffff" class="sm">
<div align="center"><b>Создание опроса (Шаг 2):</b></div>
<div align="left" style="margin-left:25;margin-top:4;margin-bottom:4;">
<form method="get" style="margin-top:5;margin-bottom:5;">
<?php
$_GET['question']=stripslashes($_GET['question']);
$_GET['question']=ereg_replace("\"","&quot;",$_GET['question']);
?>
<b><?php print$_GET['name'];?></b> - <?php print$_GET['question'];?><br>
<br>
<b>Возможные варианты ответа:</b><br>
<?php
for($i=0;$i<$_GET['num'];$i++){
$il=$i+1;
print "<input type=\"text\" name=\"a".$il."\" size=\"45\"><br>";
}
?>
<input type="hidden" name="pass" value="<?php print$_GET['pass'];?>">
<input type="hidden" name="do" value="add">
<input type="hidden" name="question" value="<?php print$_GET['question'];?>">
<input type="hidden" name="num" value="<?php print$_GET['num'];?>">
<input type="hidden" name="name" value="<?php print$_GET['name'];?>">
<input type="submit" value="Создать опрос" class="button">
</form>
<br>
<div align="center"><b><a href="?do=add"><<< Вернуться назад</a></b></div>
</div><br>
</td></tr>
<?php
}elseif($addp==2){
?>
<tr><td align="left" bgcolor="#d5d5d5" class="sm">
<div align="center"><b><a href="?do=add"><<< Вернуться назад</a></b></div>
</td></tr>
<?php
}}
if($do=="del"){
if(!$del){
}else{
?>
<tr><td align="left" bgcolor="#d5d5d5">
<div align="center"><b><a href="?do=stat"> <<< Вернуться назад</a></b></div>
</td></tr>
<?php
}}}
?>
</table>
</td></tr>
</table>
<?php
require_once("footer.php");
?>